CoCoALib - Feature #644

Buchberger-Moeller: add option to stop as soon as 1 poly has been found
29 Oct 2014 12:43 - John Abbott

Status: New Start date: 29 Oct 2014
Priority: Normal Due date:

Assignee: John Abbott % Done: 0%
Category: New Function Estimated time: 0.00 hour
Target version: CoCoALib-1.0 Spent time: 0.25 hour
Description

Add option to compute just the first gen of an ideal of points. This may be useful for computing implicitizations (from random sample
points).

History

#1 - 29 Oct 2014 13:38 - John Abbott
| wonder whether this proposal is actually what we want.
| imagine that the intended use is:
1. generate (conceptually infinite) sequence of points by picking random values for the parameters
2. check whether (n+1)-th point satisfies the first poly from the gens of the ideal of the first n points
3. if so, return that poly as "probably the right answer"
However, it would be inefficient to compute the poly in step (2) from scratch every time; it would seem to be better to have a sort of incremental

Buchberger-Moeller where a new point may be added after the computation has begun (but before finding the first generator). | suspect that such an
incremental algorithm would be sufficiently different from standard BM that a separate implementation is indicated.

#2 - 11 May 2015 14:11 - John Abbott

- Priority changed from Urgent to Normal

#3 - 11 May 2015 14:11 - John Abbott
- Target version changed from CoCoALib-0.99536 June 2015 to CoCoALib-0.99540 Feb 2016

#4 - 23 Mar 2016 15:29 - Anna Maria Bigatti
- Target version changed from CoCoALib-0.99540 Feb 2016 to CoCoALib-0.99560

#5 - 06 Nov 2017 13:58 - John Abbott
- Target version changed from CoCoALib-0.99560 to CoCoALib-1.0
